Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82119 - Correct the name of the rhn-applet package
Summary: Correct the name of the rhn-applet package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-17 20:37 UTC by Gene Czarcinski
Modified: 2007-04-18 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-28 20:51:24 UTC


Attachments (Terms of Use)

Description Gene Czarcinski 2003-01-17 20:37:13 UTC
Description of problem:
Per Havoc:  The "name" of this package is wrong.  The "rhn-applet-gui" program
really is the "rhn notification icon"  Furthermore, the "rhn-applet-tui" program
makes even less sense.  Neither of these are applets!

I suggest something like the "rhn-notification" for the package name and
"rhn-notification-gui" and "rhn-notification-tui" for the two programs.

I am submitting this as an enhancement request and adding Havoc to the cc list.

Comment 1 Havoc Pennington 2003-01-17 20:48:01 UTC
Note though that existing users will lose the icon from their session if 
it's renamed, so there's a back compat concern. I'm not sure what to do about that.

Comment 2 Daniel Veillard 2003-01-17 23:13:52 UTC
Huh ????
rhn-applet-gui is a program which get graphically embedded in the gnome 
panel and interract with the user. It's not an icon, it's a program.
If it's not a applet, what is it ?

The tui is mostly a debugging tool, I'm not adverse to changing its
name, but for the "applet" I have issues, I don't see the point there !

Daniel

Comment 3 Havoc Pennington 2003-01-17 23:19:12 UTC
It's a daemon that uses notification icons. Notification icons are not applets;
they appear in the notification area, and just tell the user about some state or
event.

"Applet" is a term not visible to users at all, but it is visible to sysadmins. 
The sysadmin manual refers to how to configure them, and none of those docs 
apply to notification-icon-using daemons.

Notification icons have their appearance on the panel driven by external events
such as new errata appearing, and applets are bonobo components loaded into the
panel explicitly by the user (appearance on the panel driven by choosing the
applet from a menu).

Comment 4 Havoc Pennington 2003-01-17 23:22:36 UTC
Though, I really can't think of a way out of the back compat issue 
so this should probably be WONTFIX. Unless we want to try some kind of 
symlink mess.

Comment 5 Daniel Veillard 2003-01-17 23:31:46 UTC
Yeah, will an user have more problem due to the terminology or
due to the change ? Another point is that there is an RHN daemon
and it is not what we currently call the applet ... One is a
system tool, the other is user oriented and just for notification.
I'm not too fond of symlinks especially for python programs, 
I'm tempted to resolve this as WONTFIX too.

Daniel

Comment 6 Daniel Veillard 2003-09-28 20:51:24 UTC
Changing the name would be more trouble than it is really worth I'm afraid.

Daniel


Note You need to log in before you can comment on or make changes to this bug.